%global gitversion 05f2b6392b142fcd4e7d3aec5f5d71263dcf8261

Name: libopenzwave
Group: Productivity/Networking/Other
Summary: Library to access Z-Wave interfaces
URL:http://code.google.com/p/open-zwave/
License: LGPLv2+
Version: 1.5.4
Release: 1%{dist}
BuildRequires: gcc-c++ make doxygen graphviz
BuildRequires: systemd-devel pkgconfig
Source0: %{gitversion}.zip

BuildRoot: %{_tmppath}/open-zwave-%{gitversion}

%description
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without 
requiring any in depth knowledge of the Z-Wave protocol.

Z-Wave employs a proprietary protocol which the owners, Sigma Designs, have 
chosen to release a large portion (not all) into the public domain. Prior to
Sept, 2016, OpenZWave was developed by mainly reverse engineering the protocol
as well as consulting various public information on the Internet.

The goal of the project is to make a positive contribution to the Z-Wave 
community by creating a library that supports as much of the Z-Wave 
specification as possible, and that can be used as a "black-box" solution 
by anyone wanting to add Z-Wave to their application. It is NOT our aim 
to publish alternative documentation of the Z-Wave protocol.

%package -n libopenzwave-devel
Summary: Open-ZWave header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n libopenzwave-devel
header files needed when you want to compile your own 
applications using openzwave

%package -n openzwave
Summary: Open-ZWave Sample Executables
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n openzwave
Sample Executables for OpenZWave

%prep

%setup -q -n open-zwave-%{gitversion}

%build
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})
VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=/usr sysconfdir=%{_datadir}/open-zwave/config includedir=%{_includedir} docdir=%{_defaultdocdir}/open-zwave-%{version} instlibdir=%{_libdir} pkgconfigdir=%{_libdir}/pkgconfig/ make

%install
rm -rf %{buildroot}/*
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_defaultdocdir}/open-zwave-%{version}/
mkdir -p %{buildroot}/%{_includedir}/open-zwave/
DESTDIR=%{buildroot} VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=/usr sysconfdir=%{_datadir}/open-zwave/config includedir=%{_includedir}/open-zwave/ docdir=%{_defaultdocdir}/open-zwave-%{version} instlibdir=%{_libdir} pkgconfigdir=%{_libdir}/pkgconfig/ make install
cp -p INSTALL %{buildroot}/%{_defaultdocdir}/open-zwave-%{version}/
cp -pr license %{buildroot}/%{_defaultdocdir}/open-zwave-%{version}/
cp -pr %{buildroot}/%{_bindir}/* %{buildroot}/%{_datadir}/open-zwave/
rm -rf %{buildroot}/%{_bindir}
rm %{buildroot}%{_defaultdocdir}/open-zwave-%{version}/Doxyfile.in
rm -rf %{buildroot}%{_defaultdocdir}/open-zwave-%{version}/html/

%files
%defattr(-,root,root,-)
%{_libdir}/libopenzwave.so.*
%dir %{_defaultdocdir}/open-zwave-%{version}
%doc %{_defaultdocdir}/open-zwave-%{version}/default.htm
%doc %{_defaultdocdir}/open-zwave-%{version}/general/
%doc %{_defaultdocdir}/open-zwave-%{version}/images+css/
%doc %{_defaultdocdir}/open-zwave-%{version}/license/
%doc %{_defaultdocdir}/open-zwave-%{version}/INSTALL
%attr(775, -, -) %config(noreplace) %{_datadir}/open-zwave/config/


%files -n libopenzwave-devel
%defattr(-,root,root,-)
%{_includedir}/open-zwave/
%{_libdir}/libopenzwave.so
%{_libdir}/pkgconfig/libopenzwave.pc
%{_datadir}/open-zwave/ozw_config
%dir %{_defaultdocdir}/open-zwave-%{version}
%doc %{_defaultdocdir}/open-zwave-%{version}/api/

%files -n openzwave
%defattr(-,root,root,-)
%{_datadir}/open-zwave/MinOZW

%post
/sbin/ldconfig 
unlink /usr/share/open-zwave-read-only &> /dev/null || :
unlink /usr/share/open-zwave/open-zwave &> /dev/null || :
unlink /usr/share/open-zwave/open-zwave/config/config &> /dev/null || :
systemctl try-restart domoticz &> /dev/null || :

%post -n libopenzwave-devel
/sbin/ldconfig 

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
rm -rf /usr/share/open-zwave $> /dev/null || :
fi

%changelog
* Mon Aug 7 2017 Fredrik Fornstad <fredrik.fornstad@gmail.com> - 1.5.4-1
- Updated upstream

* Sun Feb 12 2017 Fredrik Fornstad <fredrik.fornstad@gmail.com> - 1.5.3-1
- Updated upstream

* Sun Jan 15 2017 Fredrik Fornstad <fredrik.fornstad@gmail.com> - 1.5.2-2
- Updated upstream
- Removed read-only soft link as it is not needed for Domoticz
- Added conditional restart of domoticz daemon if it exists and is running
- Fine tuned the uninstall so that the open-zwave directory is always removed

* Sun Jan 8 2017 Fredrik Fornstad <fredrik.fornstad@gmail.com> - 1.5.2-1
- Updated upstream
- Major change of installation directories as previous version did not work for all scenarios
- Made post script more robust

* Sat Dec 3 2016 Fredrik Fornstad <fredrik.fornstad@gmail.com> - 1.5.1-2
- Updated upstream

* Thu Dec 1 2016 Fredrik Fornstad <fredrik.fornstad@gmail.com> - 1.5.1-1
- First build for ClearOS

* Fri Jun 21 2013 justin@dynam.ac
  Add MultiInstance.patch to handle buggy devices such as Vitrum that
  send wrong commands
* Fri Jun 21 2013 justin@dynam.ac
  Remove debug output from RPM installation commands-
* Fri Jun 21 2013 justin@dynam.ac
  Initial RPM Packages that should work for all Platforms
-
